#define _WINSOCKAPI_
//---------------------------------------------------------------------------
#ifndef FingerWinsH
#define FingerWinsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Dialogs.hpp>
#include <vcl\Menus.hpp>
#include "FingCli.hpp"
#include "explbtn.hpp"
//---------------------------------------------------------------------------
void __fastcall OpenFingerWin(TForm *Owner);

class TFingerWin : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
  TComboBox *Query;
	TFingerCli *FINGER;
	TSaveDialog *SaveDialog1;
	TPopupMenu *PopupMenu1;
	TMenuItem *Print1;
  TRichEdit *RichEdit1;
  TBevel *Bevel1;
  TOfficeButton *OkBtn;
  TBevel *Bevel2;
  TOfficeButton *FingerBtn;
  TBevel *Bevel3;
  TOfficeButton *CancelBtn;
  TOfficeButton *HelpBtn;
  TTimer *Timer1;
  TBevel *Bevel4;
	void __fastcall CancelBtnClick(TObject *Sender);
	void __fastcall QueryChange(TObject *Sender);
	
	
	void __fastcall FingerBtnClick(TObject *Sender);
	void __fastcall FINGERDataAvailable(TObject *Sender, WORD Error);
	void __fastcall FINGERSessionConnected(TObject *Sender, WORD Error);
	void __fastcall FINGERQueryDone(TObject *Sender, WORD Error);
	void __fastcall SaveBtnClick(TObject *Sender);
	void __fastcall Print1Click(TObject *Sender);
  void __fastcall OkBtnClick(TObject *Sender);
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
  void __fastcall FormResize(TObject *Sender);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  
  void __fastcall Timer1Timer(TObject *Sender);
private:	// User declarations
public:	// User declarations
//   TFileName Filename;
   bool working;
   TStrings *lines;
   TMemoryStream *results;
 	 __fastcall TFingerWin(TComponent* Owner);
   virtual __fastcall ~TFingerWin();
   void __fastcall SetHelpBtnPos();
};

const AnsiString FingerHistoryKey = "Finger+PS+History";
//---------------------------------------------------------------------------
extern TFingerWin *FingerWin;
//---------------------------------------------------------------------------
#endif
